%global pname		pipelight
%{!?_selinux_policy_version: %global _selinux_policy_version %(sed -e 's,.*selinux-policy-\\([^/]*\\)/.*,\\1,' %{_datadir}/selinux/devel/policyhelp 2>/dev/null)}
%global selinux_types	%(%{__awk} '/^#[[:space:]]*SELINUXTYPE=/,/^[^#]/ { if ($3 == "-") printf "%s ", $2 }' %{_sysconfdir}/selinux/config 2>/dev/null)
%global selinux_variants %([ -z "%{selinux_types}" ] && echo mls targeted || echo %{selinux_types})

Name:			%{pname}-selinux
Version:		0.2.1
Release:		2%{?dist}
Summary:		SELinux-policy-module for %{pname}

License:		MIT
URL:			https://github.com/besser82/%{name}
Source0:		%{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:		noarch

BuildRequires:		%{_bindir}/checkmodule
BuildRequires:		%{_datadir}/selinux/devel/policyhelp
BuildRequires:		%{_sbindir}/hardlink
BuildRequires:		selinux-policy-devel

Requires:		%{pname}
Requires:		%{pname}-common
%if "%{_selinux_policy_version}" != ""
Requires:		selinux-policy		>= %{_selinux_policy_version}
%else # "%%{_selinux_policy_version}" != ""
Requires:		selinux-policy
%endif # "%%{_selinux_policy_version}" != ""

Requires(post):		%{_sbindir}/fixfiles
Requires(post):		%{_sbindir}/restorecon
Requires(post):		%{_sbindir}/semodule
Requires(post):		%{pname}
Requires(post):		%{pname}-common

Requires(postun):	%{_sbindir}/fixfiles
Requires(postun):	%{_sbindir}/restorecon
Requires(postun):	%{_sbindir}/semodule
Requires(postun):	%{pname}
Requires(postun):	%{pname}-common

%description
This package contains the
%{summary}.


%prep
%setup -q


%build
for _selinuxvariant in %{selinux_variants}
do
  %{__make} NAME=${_selinuxvariant} -f %{_datadir}/selinux/devel/Makefile
  %{__mv} %{pname}.pp %{pname}.pp.${_selinuxvariant}
  %{__make} NAME=${_selinuxvariant} -f %{_datadir}/selinux/devel/Makefile clean
done


%install
for _selinuxvariant in %{selinux_variants}
do
  %{__mkdir} -p %{buildroot}%{_datadir}/selinux/${_selinuxvariant}
  %{__install} -pm 644 %{pname}.pp.${_selinuxvariant}			\
	%{buildroot}%{_datadir}/selinux/${_selinuxvariant}/%{pname}.pp
done

%{_sbindir}/hardlink -cv %{buildroot}%{_datadir}/selinux


%post
for _selinuxvariant in %{selinux_variants}
do
  %{_sbindir}/semodule -s ${_selinuxvariant}				\
    -i %{_datadir}/selinux/${_selinuxvariant}/%{pname}.pp &> /dev/null || :
done
%{_sbindir}/fixfiles -R %{pname},%{pname}-common restore || :
%{_sbindir}/restorecon -R /home/*/.wine-pipelight* &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  for _selinuxvariant in %{selinux_variants}
  do
    %{_sbindir}/semodule -s ${_selinuxvariant} -r %{pname} &> /dev/null || :
  done
  %{_sbindir}/fixfiles -R %{pname},%{pname}-common restore || :
  %{_sbindir}/restorecon -R /home/*/.wine-pipelight* &> /dev/null || :
fi

%files
%doc ChangeLog.md LICENSE %{pname}.te README.md
%{_datadir}/selinux/*/%{pname}.pp


%changelog
* Wed Jul 16 2014 Björn Esser <bjoern.esser@gmail.com> - 0.2.1-2
- add needed Requires: %%{pname}-common and restore SELinux-context
  of it's files, too

* Wed Jul 16 2014 Björn Esser <bjoern.esser@gmail.com> - 0.2.1-1
- new upstream release
- fixed typo in %%changelog

* Wed Jul 16 2014 Björn Esser <bjoern.esser@gmail.com> - 0.2.0-4
- wrapped the complete %%postun-transaction inside the conditional

* Wed Jul 16 2014 Björn Esser <bjoern.esser@gmail.com> - 0.2.0-3
- optimized invocation of %%{_sbindir}/restorecon
- dropped unneeded use of %%{_bindir}/find

* Wed Jul 16 2014 Björn Esser <bjoern.esser@gmail.com> - 0.2.0-2
- fixed %%post and %%postun scripts

* Wed Jul 16 2014 Björn Esser <bjoern.esser@gmail.com> - 0.2.0-1
- new upstream release
- add scripts to %%post and %%postun to handle introduced file context

* Mon Jul 14 2014 Björn Esser <bjoern.esser@gmail.com> - 0.1.0-2
- getting rid of broken dependency on epel7 caused by premature build
- fix macro-in-comment

* Mon Jul 14 2014 Björn Esser <bjoern.esser@gmail.com> - 0.1.0-1
- initial rpm release (#1119288)
